[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Edgel Class Reference Edge Detection |

`#include <vigra/edgedetection.hxx>`

## Public Types

typedef float | value_type

## Public Attributes

value_type | orientation
| The edgel's orientation. More...
value_type | strength
value_type | x
value_type | y

## Detailed Description

Helper class that stores edgel attributes.

## Member Typedef Documentation

typedef float value_type

The type of an Edgel's members.

## Member Data Documentation

value_type x

The edgel's sub-pixel x coordinate.

value_type y

The edgel's sub-pixel y coordinate.

value_type strength

The edgel's strength (magnitude of the gradient vector).

value_type orientation

The edgel's orientation.

This is the clockwise angle in radians between the x-axis and the edge, so that the bright side of the edge is on the left when one looks along the orientation vector. The angle is measured clockwise because the y-axis increases downwards (left-handed coordinate system):

edgel axis
\
(dark \ (bright side)
side) \
\
+------------> x-axis
|\ |
| \ /_/ orientation angle
| \\
| \
|
y-axis V

So, for example a vertical edge with its dark side on the left has orientation PI/2, and a horizontal edge with dark side on top has orientation PI. Obviously, the edge's orientation changes by PI if the contrast is reversed.

Note that this convention changed as of VIGRA version 1.7.0.

The documentation for this class was generated from the following file:

- vigra/edgedetection.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0